%define name    qarecord
%define version 0.5.0
%define release %mkrel 4

Name:           %{name} 
Summary:        QT based ALSA recording interface
Version:        %{version} 
Release:        %{release}

Source:         http://dl.sf.net/alsamodular/%{name}-%{version}.tar.bz2
Patch0:         qarecord-0.5.0-upstream1.patch
URL:            http://alsamodular.sourceforge.net/
License:        GPLv2
Group:          Sound
BuildRequires:  qt4-devel alsa-lib-devel jackit-devel

%description
QARecord is a simple multithreaded stereo recording tool. It can record both
16 bit and 32 bit WAVs. By using a large ringbuffer for the captured data,
buffer overruns are avoided. QARecord can also be used as JACK client. 

%prep
%setup -q
%patch0 -p1
%if %mdkversion >= 201000
iconv -f=latin1 -t=utf8 man/de/%{name}.1 -o man/de/%{name}.1
iconv -f=latin1 -t=utf8 man/fr/%{name}.1 -o man/fr/%{name}.1
%endif

%build
%configure2_5x
%make
                                        
%install
rm -rf %{buildroot}
%makeinstall_std

install -D -m 0644 src/pixmaps/%{name}_48.xpm %{buildroot}%{_datadir}/pixmaps/%name.xpm

mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/mandriva-%{name}.desktop << EOF
[Desktop Entry]
Name=QARecord
Comment=ALSA recording GUI
Exec=%{_bindir}/%{name}
Icon=%{name}
Terminal=false
Type=Application
Categories=X-MandrivaLinux-Multimedia-Sound;AudioVideo;Audio;Recorder;
EOF

%clean

%if %mdkversion < 200900
%post
%update_menus
%endif
        
%if %mdkversion < 200900
%postun
%clean_menus
%endif

%files
%defattr(-,root,root)
%doc README NEWS COPYING AUTHORS 
%{_bindir}/%{name}
%{_datadir}/%{name}
%{_datadir}/pixmaps/%{name}.xpm
%{_mandir}/man1/*
%lang(de) %{_mandir}/de/man1/*
%lang(fr) %{_mandir}/fr/man1/*
%{_datadir}/applications/mandriva-%{name}.desktop



%changelog
* Wed Mar 03 2010 Frank Kober <emuse@mandriva.org> 0.5.0-4mdv2010.1
+ Revision: 513911
- apply fix of crash connecting to jack in upstream patch

* Tue Mar 02 2010 Frank Kober <emuse@mandriva.org> 0.5.0-3mdv2010.1
+ Revision: 513326
- replace strfmt patch by new patch from upstream, cleanups

* Wed Nov 25 2009 Funda Wang <fwang@mandriva.org> 0.5.0-2mdv2010.1
+ Revision: 470028
- update icon

* Wed Nov 25 2009 Funda Wang <fwang@mandriva.org> 0.5.0-1mdv2010.1
+ Revision: 469909
- new version 0.5.0

* Tue Sep 08 2009 Thierry Vignaud <tv@mandriva.org> 0.0.9b-7mdv2010.0
+ Revision: 433752
- rebuild

* Mon Sep 07 2009 Thierry Vignaud <tv@mandriva.org> 0.0.9b-6mdv2010.0
+ Revision: 432692
- rebuild

* Fri Aug 01 2008 Thierry Vignaud <tv@mandriva.org> 0.0.9b-5mdv2009.0
+ Revision: 259906
- rebuild

* Fri Jul 25 2008 Thierry Vignaud <tv@mandriva.org> 0.0.9b-4mdv2009.0
+ Revision: 247755
- rebuild
- drop old menu

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

* Fri Dec 21 2007 Olivier Blin <oblin@mandriva.com> 0.0.9b-2mdv2008.1
+ Revision: 136465
- restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request
    - import qarecord


* Sat Sep 16 2006 Emmanuel Andry <eandry@mandriva.org> 0.0.9b-2mdv2007.0
- %%mkrel
- xdg menu

* Fri Jan 27 2006 Austin Acton <austin@mandriva.org> 0.0.9b-1mdk
- 0.0.9b
- lib64 fix

* Thu Aug 7 2003 Austin Acton <aacton@yorku.ca> 0.0.9-1mdk
- initial package
